const logger = require('@pubsweet/logger')

const checkForUndefinedParams = (...params) => {
  if (params.includes(undefined)) {
    return false
  }

  return true
}

const handleNotFoundError = async (error, item) => {
  const response = {
    success: false,
    status: 500,
    message: 'Something went wrong',
  }
  if (error.name === 'NotFoundError') {
    logger.error(`invalid ${item} id`)
    response.status = 404
    response.message = `${item} not found.`
    return response
  }

  logger.error(error)
  return response
}

module.exports = {
  checkForUndefinedParams,
  handleNotFoundError,
}
