const path = require('path')

module.exports = {
  authsome: {
    mode: path.resolve(__dirname, 'authsome-mode.js'),
    teams: {
      handlingEditor: {
        name: 'Handling Editors',
      },
      reviewer: {
        name: 'Reviewer',
      },
    },
  },
  mailer: {
    from: 'test@example.com',
  },
  'invite-reset-password': {
    url:
      process.env.PUBSWEET_INVITE_PASSWORD_RESET_URL ||
      'http://localhost:3000/invite',
  },
  roles: {
    global: ['admin', 'editorInChief', 'author', 'handlingEditor'],
    collection: ['handlingEditor', 'reviewer', 'author'],
    inviteRights: {
      admin: ['admin', 'editorInChief', 'author'],
      editorInChief: ['handlingEditor'],
      handlingEditor: ['reviewer'],
    },
  },
  statuses: {
    draft: {
      public: 'Draft',
      private: 'Draft',
    },
    submitted: {
      public: 'Submitted',
      private: 'Submitted',
    },
    heInvited: {
      public: 'Submitted',
      private: 'HE Invited',
    },
    heAssigned: {
      public: 'HE Assigned',
      private: 'HE Assigned',
    },
    reviewersInvited: {
      public: 'Reviewers Invited',
      private: 'Reviewers Invited',
    },
    underReview: {
      public: 'Under Review',
      private: 'Under Review',
    },
  },
  'manuscript-types': {
    research: 'Research',
    review: 'Review',
    'clinical-study': 'Clinical Study',
    'case-report': 'Case Report',
    'letter-to-editor': 'Letter to the Editor',
    editorial: 'Editorial',
    corrigendum: 'Corrigendum',
    erratum: 'Erratum',
    'expression-of-concern': 'Expression of Concern',
    retraction: 'Retraction',
  },
}
