module.exports = {
  mailer: {
    from: 'test@example.com',
  },
  'invite-reset-password': {
    url:
      process.env.PUBSWEET_INVITE_PASSWORD_RESET_URL ||
      'http://localhost:3000/invite',
  },
  roles: {
    global: ['admin', 'editorInChief', 'author', 'handlingEditor'],
    collection: ['handlingEditor', 'reviewer', 'author'],
    inviteRights: {
      admin: ['admin', 'editorInChief', 'author', 'handlingEditor', 'author'],
      editorInChief: ['handlingEditor'],
      handlingEditor: ['reviewer'],
      author: ['author'],
    },
  },
  statuses: {
    draft: {
      public: 'Draft',
      private: 'Draft',
    },
    submitted: {
      public: 'Submitted',
      private: 'Submitted',
    },
    heInvited: {
      public: 'Submitted',
      private: 'Handling Editor Invited',
    },
    heAssigned: {
      public: 'Handling Editor Assigned',
      private: 'Handling Editor Assigned',
    },
    reviewersInvited: {
      public: 'Reviewers Invited',
      private: 'Reviewers Invited',
    },
    underReview: {
      public: 'Under Review',
      private: 'Under Review',
    },
    reviewCompleted: {
      public: 'Under Review',
      private: 'Review Completed',
    },
    pendingApproval: {
      public: 'Under Review',
      private: 'Pending Approval',
    },
    revisionRequested: {
      public: 'Revision Requested',
      private: 'Revision Requested',
    },
    rejected: {
      public: 'Rejected',
      private: 'Rejected',
    },
    published: {
      public: 'Published',
      private: 'Published',
    },
  },
  'manuscript-types': {
    research: 'Research',
    review: 'Review',
    'clinical-study': 'Clinical Study',
    'case-report': 'Case Report',
    'letter-to-editor': 'Letter to the Editor',
    editorial: 'Editorial',
    corrigendum: 'Corrigendum',
    erratum: 'Erratum',
    'expression-of-concern': 'Expression of Concern',
    retraction: 'Retraction',
  },
}
